Storyden
Robots

Create a robot workspace

Create a reusable Robot workspace template.

POST/robots/workspaces

Create a reusable Robot workspace template.

Authorization

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/robots/workspaces" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "description": "string"  }'
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "name": "string",  "description": "string",  "provider": "local",  "config": {},  "allow_untrusted_commands": true,  "meta": {},  "created_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  }}